Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
integer.h File Reference
`#include "cryptlib.h"`
`#include "secblock.h"`
`#include <iosfwd>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

struct | InitializeInteger
class | Integer
| multiple precision integer and basic arithmetics More...
class | Integer::DivideByZero
| division by zero exception More...
class | Integer::RandomNumberNotFound
class | Integer::OpenPGPDecodeErr

## Typedefs

typedef SecBlock< word, AllocatorWithCleanup< word, 0 > > | IntegerSecBlock

## Functions

bool | operator== (const ::Integer &a, const ::Integer &b)
bool | operator!= (const ::Integer &a, const ::Integer &b)
bool | operator> (const ::Integer &a, const ::Integer &b)
bool | operator>= (const ::Integer &a, const ::Integer &b)
bool | operator< (const ::Integer &a, const ::Integer &b)
bool | operator<= (const ::Integer &a, const ::Integer &b)
inline::Integer | operator+ (const ::Integer &a, const ::Integer &b)
inline::Integer | operator- (const ::Integer &a, const ::Integer &b)
inline::Integer | operator* (const ::Integer &a, const ::Integer &b)
inline::Integer | operator/ (const ::Integer &a, const ::Integer &b)
inline::Integer | operator% (const ::Integer &a, const ::Integer &b)
inline::Integer | operator/ (const ::Integer &a,::word b)
inline::word | operator% (const ::Integer &a,::word b)
void | swap (::Integer &a,::Integer &b)

## Detailed Description

Definition in file integer.h.